RUNCON(1)

NAAM
runcon - voer programma uit met gespecificeerde beveiligingscontext

SAMENVATTING
runcon [CONTEXT COMMAND [ARG]...]
runcon [-c] [-u USER] [-r ROLE] [-t TYPE] [-l RANGE] COMMAND [ARG]...

BESCHRIJVING
Voer COMMANDO uit met een geheel-gespecificeerde CONTEXT, of met de huidige of de in bewerking zijnde beveiligingscontext door een of meer van BEREIK, ROL, TYPE en GEBRUIKER.

Als geen enkele -c, -t, -u, -r, or -l werd gespecificeerd, dan wordt het eerste argument gebruikt als complete context. Elk additioneel argument na COMMANDO wordt geïnterpreteerd als argument voor het commando.

Let op dat alleen zorgvuldig gekozen contexten succesvol uitgevoerd zullen worden.

Voert het gegeven COMMANDO in een andere SELinux-beveiligingscontext uit. Zonder CONTEXT of COMMANDO, wordt de huidige beveiligingscontext getoond.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

CONTEXT
    volledige SELinux-beveiligingscontext

-c, --compute
    procesovergangscontext berekenen vóór het wijzigen

-t, --type=TYPE
    te gebruiken TYPE (voor dezelfde ROL als de ouder van de gebruiker)

-u, --user=USER
    te gebruiken gebruikersidentiteit

-r, --role=ROLE
    te gebruiken ROL

-l, --range=RANGE
    te gebruiken BEREIK

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

  De afsluitwaarde is:

125 indien het runcon commando zelf faalt

126 als COMMANDO werd gevonden maar niet kan worden aangeroepen

127 Als COMMANDO niet werd gevonden

-   de beëindigings status van COMMANDO anders

AUTEUR
Geschreven door Russell Coker.

RAPPORTEREN VAN BUGS
Rapporteer gebreken aan bug-coreutils@gnu.org
Webpagina van GNU coreutils: <https://www.gnu.org/software/coreutils/>
Algemene hulp bij gebruik van GNU-software: <https://www.gnu.org/gethelp/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

ZIE OOK
Volledige documentatie op: <https://www.gnu.org/software/coreutils/runcon>
of lokaal via: info '(coreutils) runcon invocation'

Pakket gemaakt door Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden.
Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.